Gerenciador de pacotes e Gerenciador de atualizações [RESOLVIDO]

1. Gerenciador de pacotes e Gerenciador de atualizações [RESOLVIDO]

Patricia
Jade_rj

(usa Ubuntu)

Enviado em 12/03/2011 - 19:34h

Amigos, estou começando a usar o Ubuntu, a versão que veio no meu computador é 9.04. Pela facilidade de aprendizado e conhecimento que tenho do Windows, algumas funções foram fáceis de assimilar. Porém algumas coisas acontecem e eu não estou conseguindo entender.

Abriu uma opção para atualização e eu mandei seguir. Só que no meio do caminho, além de ter mudado todo o layout da interface e tirado algumas opções da barra, fica aparecendo uma mensagem dizendo: "Um erro ocorreu: por favor abra o gerenciador de pacotes através do menu do botão direito do mouse, ou através do apt-get, em um terminal, para ver o que está errado. A mensagem de erro foi: 'Erro: BrokenCount > 0' Isso geralmente significa que os pacotes instalados possuem dependências não resolvidas".

Quando eu abro o Gerenciador de Pacotes Synaptic ou o Gerenciador de atualizações, aparece a seguinte mensagem: "E: dpkg foi interrompido. Você deve executar o comando 'sudo dpkg --configure -a' para corrigir o problema.
E: _cache->open() failed, please report."

E aí eu empaco, porque não sei o que fazer. Estou pensando em atualizar para o Ubuntu 9.10, mas agora estou receosa de perder tudo. Meu computador já perdeu o windows no outro hd e eu não consigo reinstalar, portanto estou usando apenas o Linux.

Será que vocês poderiam me dar uma luz?
Fico muito grata
Abraços!


  


2. Re: Gerenciador de pacotes e Gerenciador de atualizações [RESOLVIDO]

Izaias
izaias

(usa LMDE)

Enviado em 12/03/2011 - 19:46h

Aplique esses comandos, uma linha por vez, seguido de <enter>.
Aconselho copiar e colar cada comando:
sudo dpkg --configure -a
sudo apt-get -f install
sudo apt-get update

Outra coisa, não atualize a versão de seu sistema dessa forma(pode dar sérios erros), baixe e grave um CD-R com o Ubuntu-10.10 e instale do zero. Faça backup de seus dados.



3. Re: Gerenciador de pacotes e Gerenciador de atualizações [RESOLVIDO]

Carlos Adean
c4rl

(usa CentOS)

Enviado em 12/03/2011 - 19:51h

Olá Jade, seja benvinda à liberdade. É provável que o Gerenciador de atualizações tenha sido interrompido durante a instalação de pacotes. Sugiro que você vá no menu Aplicativos > Acessórios > Terminal.

No terminal que se abrir, digite o que é pedido.

$ sudo dpkg-reconfigure -a

Apenas para explicar:

sudo => faz com que você execute programas como super usuário;
dpkg-reconfigure => reconfigura pacotes instalados, ainda que de forma incorreta.
-a => indica para o dpkg reconfigurar todos os pacotes.

Comigo já ocorreu e foi assim que resolvi.


4. Re: Gerenciador de pacotes e Gerenciador de atualizações [RESOLVIDO]

Raul Lopes S. Grangeiro
raulgrangeiro

(usa Fedora)

Enviado em 12/03/2011 - 20:14h

Olá, o que tenho pra te dizer é o seguinte, essa versão que estás a utilizar é bem antiga. Instale a nova, o Ubuntu 10.10 ou a versão LTS atual, a 10.04 LTS. E dá os comandos que o pessoal está dizendo que vai dar certo. E só uma coisa: não atualiza teu sistema dessa maneira não. Baixa a imagem ISO do site do Ubuntu: www.ubuntu.com

Aí depois grava e instala de novo.

Espero ter ajudado!!!


5. Agradecendo!!

Patricia
Jade_rj

(usa Ubuntu)

Enviado em 12/03/2011 - 22:49h

Izäias, c4rl, raulgrangeiro, muitíssimo obrigada pelas dicas e pela gentileza com que vocês me responderam!!
Engraçado que a resposta de um foi complementando a do outro e o que começou para mim como um bicho de 7 cabeças, tornou-se claro e eu consegui!!
Resolvido o problema, embora a interface ainda esteja diferente do que era a primeira vez que entrei nele... mas isso é o de menos!!
Prometo ser mais cuidadosa com relação a atualizações e vou estudar um pouco mais antes de fazer o upgrade!!
Um beijo a todos!




6. Re: Gerenciador de pacotes e Gerenciador de atualizações [RESOLVIDO]

Andre (pinduvoz)
pinduvoz

(usa Debian)

Enviado em 12/03/2011 - 23:18h

O suporte para cada versão do Ubuntu dura 18 meses.

Isso quer dizer que o 9.04 perdeu o suporte com o lançamento do 10.10 (outubro de 2010), 18 meses depois.

Como vc é iniciante, eu recomendo que vc tente o upgrade de versão, pelo gerenciador de atualizações, para o 9.10, cujo suporte se encerra em abril deste ano. Se funcionar, pode fazer o upgrade para o 10.04, mais uma vez pelo gerenciador de atualizações.

Pode seguir sem medo mas... faça um backup de seus arquivos pessoais, pois erros acontecem.

Aqui uma ajuda (em inglês):

https://help.ubuntu.com/community/KarmicUpgrades


7. Re: Gerenciador de pacotes e Gerenciador de atualizações [RESOLVIDO]

Glauber GF
mcnd2

(usa Debian)

Enviado em 13/03/2011 - 00:09h

Como já tem o tópico como resolvido, agora fica mais fácil de marcar a 'melhor resposta'.

Quem será que leva?

'Izäias', 'c4rl' ou 'raulgrangeiro'?

Perfuração multiplas em '1';
Esquardejamento em '2';
E explosivo agarrado ao corpo.

...

Melhor reposta ?!


8. Re: Gerenciador de pacotes e Gerenciador de atualizações [RESOLVIDO]

Patricia
Jade_rj

(usa Ubuntu)

Enviado em 13/03/2011 - 02:39h

Eu não gostaria de marcar a melhor resposta porque as três foram complementares e me deram ótimas dicas... posso passar?? ^_^



9. Re: Gerenciador de pacotes e Gerenciador de atualizações [RESOLVIDO]

Patricia
Jade_rj

(usa Ubuntu)

Enviado em 13/03/2011 - 09:34h

pinduvoz, antes de vir aqui pedir socorro eu tinha consultado esse link que vc me passou, muito obrigada. Tem um artigo aqui sobre back-up vou ler e me aventurar pelos upgrades pra não ficar sem suporte né?
Valeu beijos!!



10. Re: Gerenciador de pacotes e Gerenciador de atualizações [RESOLVIDO]

Glauber GF
mcnd2

(usa Debian)

Enviado em 13/03/2011 - 21:44h

Passa ou repassa?

Passou ...

Vlw Patricia.


11. Re: Gerenciador de pacotes e Gerenciador de atualizações [RESOLVIDO]

Alberto Federman Neto.
albfneto

(usa Sabayon)

Enviado em 13/03/2011 - 22:26h

seu ubuntu já é bem antigo.
o jeito melhor é copiar seus arquivos,vídeos, músicas, textos, documentos, depois reformatar e instalar o ubuntu mais novo.


12. RESOLVIDO

cleiton
CLEITONDESOUZA

(usa Ubuntu)

Enviado em 11/03/2017 - 19:15h

Fiz os procedimentos deu tudo certo valeu!!!!